/********** boilerpowered.com **********/

body, html {
    height: 100%;
    font-family: 'Roboto Condensed', sans-serif;
    background: #F3F3F3 url(../img/tile.png) repeat;
}

hr {
    background-color: #999999;
}

@media  (max-width: 576px) {
    #contact .g-recaptcha {
        transform: scale(0.85);
        -webkit-transform: scale(0.85);
        transform-origin: top left;
        -webkit-transform-origin: top left;
    }
    
    .navbar .navbar-brand .navbarBrandText {
        visibility: hidden;
        font-size: 0em;
    }
    
    #top .source {
        font-size: 0.75em;
    }
    
    #top .small-source {
        font-size: 0.57em;
    }
}

@media  (max-width: 768px) {
    #top .card {
        margin-bottom: 1rem;
    }
    
    #top .card-img-top {
        height: 9rem;
        width: 15rem;
        margin: auto;
    }
}


/* NAV BAR */

.navbar {
    background-color: rgba(120,176,255,0.9);
    font-family: 'Roboto Condensed', sans-serif;
    font-weight: bold;
    font-size: 1.2em;
    box-shadow: 0px 0px 30px #444444;
    text-transform: uppercase;
    padding: 0rem 1rem;
}

.navbar .navbar-brand {
    font-size: 1.25em;
    margin: 0;
}

.navbar .navbar-brand img {
    margin: 0;
    padding-right: 0.1rem;
    padding-bottom: 0.25rem;
    width: 1.85rem;
}

.navbar .navbar-brand .navbarBrandText {
    display: inline;
}

.navbar .navbar-nav .nav-link {
    color: #FFFFFF;
    padding-left: 0.5rem;
}

.navbar .navbar-nav .nav-link:focus {
    color: #FFFFFF;
}

.navbar .navbar-nav .nav-link:hover {
    color: #FF9900;
    background-color: #6595D3;
}


/* HEADER */

#top {
    padding: 7rem 0 5rem 0;
}

#top .card-title {
    color: #000000;
    text-align: center;
}

#top .card-body {
    padding: 0.5rem;
}

#top .product-more {
    width: 100%;
}

#top .doc-row {
    padding-top: 2rem;
}

#top .coverPhoto{
    margin-top: 1.5rem;
	border-radius: 8px;
	border: #4A4747 1px solid;
	width: 100%;
}

#top .right {
    padding-top: 3rem;
}

#top .right_side {
	border: 1px solid #888888;
	border-radius: 8px;
	margin-bottom: 1.5rem;
    padding-bottom: 0.25rem;
    text-align: center;
}

#top .right_side hr {
    padding: 0;
    margin: 0.5rem 0 0 0;
}

#top .right_side h4 {
    padding-top: 0.5rem;
}

#top .right_side p {
    margin: 0;
}

#top a {
    color: #78B0FF;
    font-weight: bold;
}

#top a:hover {
    color: #FF9900;
    text-decoration: none;
}

#top .doc_section {
    padding-top: 3rem;
    padding-right: 1rem;
}

#top .doc_section h1, #top .doc_section h2 {
    padding: 0;
    margin: 0;
}

#top .doc_section hr {
    padding: 0;
    margin: 0 0 1rem 0;
}

#top .source {
	margin: 0 1rem 1rem 0;
	padding: 0.25rem 0.5rem;
	background-color: #4A4747;
	border-radius: 5px;
}

#top pre {
	padding: 0.05rem 0rem;
	white-space: pre-wrap;
    margin: 0;
    color: #FFFFFF;
}

/* variable */
#top .v {
	color: #8899FF;
}
/* if statements */
#top .f {
	color: #88CCEE;
}
/* bool */
#top .b {
	color: #8899FF;
}
/* Number */
#top .n {
	color: #FFDD33;
}
/* String */
#top .s {
	color: #FFDD33;
}
/* Comment */
#top .c {
	color: #66C055;
}

#top code {
    padding: 0.15rem 0.4rem;
	background-color: #4A4747;
	border-radius: 2px;
    color: #FFFFFF;
}


/* CONTACT */

#contact {
    padding: 5rem 0;
    border-top: #888888 2px dashed;
}

#contact h2 {
    font-weight: bold;
    text-transform: uppercase;
}

#contact input, #contact textarea {
    border: #DBE8F9 2px solid;
}

#contact .g-recaptcha {
	margin: 0.5rem 0;
}

#contact .contact-button {
    padding: 0.5rem;
}

#contact .status {
    display: none;
}

/* FOOTER */

#footer {
    padding: 2rem 0;
    background-color: #78B0FF;
    color: #FFFFFF;
    box-shadow: 0px 0px 20px #444444;
}

#footer a {
    color: #ffffff;
}

#footer .fab, #footer .fas {
    padding: 0 5px;
}